<?php
function expert_sports_coach_upper_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Social Media
	=========================================*/
	$wp_customize->add_section(
        'expert_sports_coach_upper_header',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Information','expert-sports-coach'),
			'panel'  		=> 'expert_sports_coach_frontpage_sections',
		)
    );

	$wp_customize->add_setting(
    	'expert_sports_coach_header_btn_text',
    	array(
			'default' => 'Sign Up',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_sports_coach_header_btn_text',
		array(
		    'label'   		=> __('Button Text','expert-sports-coach'),
		    'section'		=> 'expert_sports_coach_upper_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_sports_coach_header_btn_link',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( 
		'expert_sports_coach_header_btn_link',
		array(
		    'label'   		=> __('Button Link','expert-sports-coach'),
		    'section'		=> 'expert_sports_coach_upper_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_12',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_12',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_upper_header',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_12',
                'label'         => __( ' Expert Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-sports-coach' ), __( 'One-Click Demo Import', 'expert-sports-coach' ), __( 'WooCommerce Integrated', 'expert-sports-coach' ), __( 'Drag & Drop Section Reordering', 'expert-sports-coach' ),__( 'Advanced Typography Control', 'expert-sports-coach' ),__( 'Intuitive Customization Options', 'expert-sports-coach' ),__( '24/7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 
}
add_action( 'customize_register', 'expert_sports_coach_upper_header_settings' );